View Issue Details

IDProjectCategoryView StatusLast Update
0000481Cinelerra-GG[All Projects] Bugpublic2020-08-14 02:10
ReporterArmandux Assigned ToPhyllisSmith  
PrioritynormalSeverityblockReproducibilityalways
Status resolvedResolutionfixed 
Product Version2020-04 
Target VersionFixed in Version2020-07 
Summary0000481: Program hangs when open file in mixer
DescriptionLoad multimedia file (mp4), clicking whit right mouse button to load in mixer and program hangs.
Using: ubuntustudio kernel 5.4.0-42-lowlatency.
Tested in ubuntu latest packet from cinelerra gg main repository.
Crashes as well in cinelerra-5.1-ub20.04-20200630.x86_64-static and cinelerra-5.1-ub20.04-20200630.x86_64
Steps To ReproduceOpen cinelerra.
Open resources windows
From resources window RMB click and select open in mixer.
Program hangs.
Additional InformationLoad dump in attach file
TagsNo tags attached.

Activities

PhyllisSmith

PhyllisSmith

2020-08-14 02:10

manager   ~0003919

Hopefully this is the last of these errors. If encounter again, please let us know. Will close in a couple of days.
PhyllisSmith

PhyllisSmith

2020-07-27 01:39

manager   ~0003847

A fix has just been checked into GIT and it will be in the July 31 new builds that fixes the lock problem concerning the vicon threads.
PhyllisSmith

PhyllisSmith

2020-07-23 18:52

manager   ~0003833

The dump has been read by GG. It is a lock problem with the Vicon thumbnail and he has to devise a new strategy to fix this (locks and deadlocks are very touchy).
Workaround is to disable any "Full Play" -- that is switch to "No Play" in the Resources window which is at the top of the left hand side in that window. You will no longer see the thumbnail images which is causing the lock -- until we can come up with a fix.

Thanks for the dump -- it makes a huge difference in finding the error.
Armandux

Armandux

2020-07-23 16:28

reporter  

cinelerra_3836.dmp (81,837 bytes)

Issue History

Date Modified Username Field Change
2020-07-23 16:28 Armandux New Issue
2020-07-23 16:28 Armandux File Added: cinelerra_3836.dmp
2020-07-23 18:52 PhyllisSmith Assigned To => PhyllisSmith
2020-07-23 18:52 PhyllisSmith Status new => acknowledged
2020-07-23 18:52 PhyllisSmith Note Added: 0003833
2020-07-27 01:39 PhyllisSmith Note Added: 0003847
2020-08-14 02:10 PhyllisSmith Status acknowledged => resolved
2020-08-14 02:10 PhyllisSmith Resolution open => fixed
2020-08-14 02:10 PhyllisSmith Fixed in Version => 2020-07
2020-08-14 02:10 PhyllisSmith Note Added: 0003919